Subject: Fwd: Fwd: BOF request: ISITFUN

From: Alex Zinin <[email-masked]>
Date: Thu, 27 May 2004 22:10:34 -0700

FYI. I am sure this will be an interesting BOF.

If people have opinions on this, it would be interesting to hear them, and Radia
would have a chance to "preview" some discussion.
-- 
Alex
P.S. I admit I still need to study the details...

This is a forwarded message
From: Margaret Wasserman <[email-masked]>
To: [email-masked], [email-masked]
Cc: 
Date: Monday, May 24, 2004, 2:40:46 PM
Subject: Fwd: BOF request: ISITFUN

===8<==============Original message text===============

Hi All,

Your thoughts on the attached BOF request would be appreciated.  Note 
that the name of the BOF is a temporary placeholder and will change 
before the BOF is officially scheduled.

Margaret

>Date: Wed, 12 May 2004 15:26:19 -0700 (PDT)
>From: Erik Nordmark <[email-masked]>
>Subject: BOF request: ISITFUN
>To: [email-masked], [email-masked], [email-masked]
>Cc: [email-masked], [email-masked]
>
>     a. Working Group or BOF full name with acronym in brackets:
>
>IP Subnets In Topologies which are Flexible, Universal, and Nice [ISITFUN]
>
>Note: we will almost certainly come up with a better name than this
>
>     b. AREA under which Working Group or BOF appears:
>
>Internet
>
>Proposed BoF meeting chair: Erik Nordmark
>
>Web page (which has a reference to the mailing list, archives, papers
>and presentations with proposed solutions):
>
>	http://www.postel.org/rbridge/
>
>Problem statement:
>
>It is desirable for an organization to have a fairly large campus
>with a single IP address prefix, a rich physical topology,
>where the network elements do not need to be configured,
>where endnodes can move around without changing their IP addresses,
>and where ARP and Neighbor Discovery traffic can be confined.
>
>This functionality is often provided by bridges.
>However, bridges have disadvantages: routing
>is confined to a spanning tree (precluding pair-wise shortest paths),
>ARP and Neighbor Discovery packets must be carried across all the links,
>the header on which the spanning tree forwards has no hop count,
>spanning tree forwarding in the presence of temporary loops spawns
>exponential copies of packets, nodes can have only a single point of
>attachment, the spanning tree, in order to avoid temporary loops,
>is slow to start forwarding on new ports, and it is not possible to take
>advantage of the rich physical topology for capacity since the packet flows
>are restricted to following the spanning tree.
>
>Routers on the other hand avoid those disadvatages but have their own
>disadvantages: IP addresses are link specific so a host that moves must
>change its IP address, the routers must be configured with unique 
>link prefixes
>for each of the attached links, and the block of IP address space can not be
>fully utilized because it must be partitioned across the different links.
>
>The BoF will explore combining the benefits of bridges and routers without
>requiring any changes on any of the hosts, IP routers, or bridges.
>The design should support both IPv4 and IPv6.
>

===8<===========End of original message text===========